<template>

  <div class="row align-items-center">
    
   
    <div class="col-12 col-md-4 p-3  search-block">
      <div id="search-block" class="input-group position-relative" tabindex="-1">
        
        <input
          type="text"
          class="form-control"
          placeholder="Search for subreddits"
          aria-label="Search for subreddits"
          aria-describedby="basic-addon2"
          @keyup.enter="showSuggestions(subreddit)"
          v-model="subreddit"
        />
       
      </div>
    </div>
     <div class="col-12 col-md-8 pb-3 p-md-3 "> <Sorting /></div>
     <Suggestions :searchTerm="searchTerm" />

  </div>

</template>
<script>
import Suggestions from "./Suggestions";
import Sorting from "./Sorting";
import {debounce} from "../utils/helpers";
import { eventBus } from "../main";

export default {
  name: "Search",
  components: {
    Suggestions,
    Sorting
  },
  data() {
    return {
      subreddit: "",
      searchTerm: "",
      sort:'hot'
    };
  },
  methods: {
    loadMore() {
      eventBus.$emit("loadMore");
    },
    showSuggestions(subreddit) {
      this.searchTerm = subreddit;
    }
  },
  watch: {
    subreddit: debounce(function (newVal) {
      this.searchTerm = newVal
    }, 500)

  },
  mounted() {},

  created() {
    eventBus.$on("addSubreddit", () => {
      this.subreddit = "";
      this.searchTerm = "";
    });
  }
};
</script>

<style lang="scss" scoped>
@import "../styles/components/search";
</style>